package com.mortals.xhx.module.device.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.device.model.vo.DeviceLogVo;
/**
* 设备日志实体对象
*
* @author zxfei
* @date 2022-03-09
*/

public class DeviceLogEntity extends DeviceLogVo {
    private static final long serialVersionUID = 1L;

    /**
    * 设备ID
    */
    private Long deviceId;
    /**
    * 设备编号
    */
    private String deviceNum;
    /**
    * 设备名称，设置设备名称。
    */
    private String deviceName;
    /**
    * 日志类型，(0.上报事件，1.下发服务)
    */
    private Integer logType;
    /**
    * 内容
    */
    private String content;



    public DeviceLogEntity(){}
    /**
    * 获取 设备ID
    * @return Long
    */
    public Long getDeviceId(){
        return deviceId;
    }
    /**
    * 设置 设备ID
    * @param deviceId
    */
    public void setDeviceId(Long deviceId){
        this.deviceId = deviceId;
    }
    /**
    * 获取 设备编号
    * @return String
    */
    public String getDeviceNum(){
        return deviceNum;
    }
    /**
    * 设置 设备编号
    * @param deviceNum
    */
    public void setDeviceNum(String deviceNum){
        this.deviceNum = deviceNum;
    }
    /**
    * 获取 设备名称，设置设备名称。
    * @return String
    */
    public String getDeviceName(){
        return deviceName;
    }
    /**
    * 设置 设备名称，设置设备名称。
    * @param deviceName
    */
    public void setDeviceName(String deviceName){
        this.deviceName = deviceName;
    }
    /**
    * 获取 日志类型，(0.上报事件，1.下发服务)
    * @return Integer
    */
    public Integer getLogType(){
        return logType;
    }
    /**
    * 设置 日志类型，(0.上报事件，1.下发服务)
    * @param logType
    */
    public void setLogType(Integer logType){
        this.logType = logType;
    }
    /**
    * 获取 内容
    * @return String
    */
    public String getContent(){
        return content;
    }
    /**
    * 设置 内容
    * @param content
    */
    public void setContent(String content){
        this.content = content;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeviceLogEntity) {
            DeviceLogEntity tmp = (DeviceLogEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",deviceId:").append(getDeviceId());
        sb.append(",deviceNum:").append(getDeviceNum());
        sb.append(",deviceName:").append(getDeviceName());
        sb.append(",logType:").append(getLogType());
        sb.append(",content:").append(getContent());
        return sb.toString();
    }

    public void initAttrValue(){

            this.deviceId = null;

            this.deviceNum = "";

            this.deviceName = "";

            this.logType = 0;

            this.content = "";
    }
}